### Property

# Soup WebsocketConnection:io-stream

since: 3.0

#### Declaration

    property io-stream: Gio.IOStream [ read, write, construct-only ]

#### Description [src]

The underlying IO stream the WebSocket is communicating over.

The input and output streams must be pollable streams.

Type: | `GIOStream`
Available since: | 3.0

Getter method | `soup_websocket_connection_get_io_stream()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes